#import "ImageData.h"
#import <Foundation/Foundation.h>

@interface ImageEncodingManager : NSObject

+ (instancetype)sharedManager;

- (void)encodeImages:(NSArray<ImageData *> *)images
          completion:(void (^)(BOOL success,
                               CFTimeInterval totalTime))completion
     progressHandler:(void (^)(NSString *status, NSInteger current,
                               NSInteger total))progressHandler;

@end